<?php

echo "<form action=\"..\addons\create_sepa.php\" method=\"post\">";
echo "<p align = center><input type=\"submit\" name=\"submit\" value=\"Neuen Buchungssatz erzeugen\"  class=\"btn btn-outline btn-primary btn-lg btn-block\" ></p>\n";

echo "</form>";


echo "<br><br>";
echo "<h3>Folgende Buchungsdatensätze sind verfügbar:</h3><br><br>";

$pdf_dir = openDir("sepa_listen");

while ($file = readDir($pdf_dir))
{
  if ($file != "." && $file != ".." && $file != ".htaccess") // Höhere Verzeichnisse und HTTP-Konfig nicht anzeigen!
  {
     $afile[]=$file;
  }
}
closedir($pdf_dir); 

rsort($afile);
$anz=count($afile);


echo "<table class=\"table table-striped table-bordered table-hover\">"; 
 
  for($i=0;$i<$anz;$i++)
  {
    $complFile = getcwd() . "/sepa_listen/$afile[$i]";
    echo "<tr><td><b>$afile[$i]</b></td><td width=\"50\"> <a href=\"addons/xmlhandler.php?file=$afile[$i]&download=1\"><div class=\"btn btn-primary btn-circle\"><i class=\"fa fa-download\"></i></div></a></td><td><i>Stand:". date("d.m.Y H:i:s", filectime($complFile)) ." </td> </tr>";
  }  
 
echo "</table>";
 
?>

